%define oname iniparse
%define with_tests 0

Name:		python-%oname
Version:	0.5
Release:	%mkrel 4
Summary:	INI parser for python
License:	MIT
Group:		Development/Python
Url:		https://github.com/candlepin/python-iniparse
Source:		https://github.com/candlepin/python-iniparse/archive/refs/tags/%{version}.tar.gz

BuildArch:	noarch
BuildRequires: pyproject-rpm-macros
BuildRequires:	pkgconfig(python3)
%if 0%{?with_tests}
BuildRequires:	python3-test
%endif

%description
iniparse is a INI parser for Python which is:

 * Compatible with ConfigParser: Backward compatible implementations of
   ConfigParser, RawConfigParser, and SafeConfigParser are included that
   are API-compatible with the Python standard library. They pass all the
   unit tests in Python-2.4.4.
 * Preserves structure of INI files: Order of sections & options, indentation,
   comments, and blank lines are preserved as far as possible when data is
   updated.
 * More convenient: Values can be accessed using dotted notation
   (cfg.user.name), or using container syntax (cfg['user']['name']).

It is very useful for config files that are updated both by users and by
programs, since it is very disorienting for a user to have her config
file completely rearranged whenever a program changes it. iniparse also
allows making the order of entries in a config file significant, which is
desirable in applications like image galleries.

%package -n python3-iniparse
Summary:        Python 3 Module for Accessing and Modifying Configuration Data in INI files
Group:          Development/Python
%{?python_provide:%python_provide python3-%{oname}}

%description -n python3-iniparse
iniparse is an INI parser for Python 3 which is API compatible
with the standard library's configparser, preserves structure of INI
files (order of sections & options, indentation, comments, and blank
lines are preserved when data is updated), and is more convenient to
use.

%prep
%setup -q
chmod -c -x html/index.html


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files iniparse
rm -Rf %buildroot/%_prefix/share/doc/*

%if 0%{?with_tests}
%check
%{__python3} runtests.py
%endif

%files -n python3-iniparse -f %{pyproject_files}
%doc Changelog README.md html/*
%license LICENSE LICENSE-PSF




%changelog
* Wed Jul 02 2025 umeabot <umeabot> 0.5-4.mga10
+ Revision: 2240012
- Mageia 10 Mass Rebuild

* Sun Mar 02 2025 wally <wally> 0.5-3.mga10
+ Revision: 2157147
- rebuild for python3.13

* Sun Feb 18 2024 papoteur <papoteur> 0.5-2.mga10
+ Revision: 2042392
- toogle to new source
- remove upstreamed patches
- rebuild for python 3.12
- new version 0.5
+ neoclust <neoclust>
- New version 	0.5

* Thu Mar 24 2022 umeabot <umeabot> 0.4-23.mga9
+ Revision: 1824779
- Mageia 9 Mass Rebuild

* Tue Feb 15 2022 mrambo3501 <mrambo3501> 0.4-22.mga9
+ Revision: 1775229
- rebuild for python-3.10

* Fri Apr 23 2021 daviddavid <daviddavid> 0.4-21.mga9
+ Revision: 1718181
- rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 0.4-20.mga8
+ Revision: 1531424
- Mageia 8 Mass Rebuild

* Fri Sep 13 2019 tv <tv> 0.4-19.mga8
+ Revision: 1440250
- rebuild for python-3.8
- drop python2 subpkg

* Sat Jan 05 2019 wally <wally> 0.4-18.mga7
+ Revision: 1349809
- rebuild for python3.7

* Thu Sep 20 2018 umeabot <umeabot> 0.4-17.mga7
+ Revision: 1288990
- Mageia 7 Mass Rebuild

* Sat Apr 21 2018 kekepower <kekepower> 0.4-16.mga7
+ Revision: 1220751
- Update BRs
- Rename python-iniparse to python2-iniparse
- Use python_provide

* Thu Aug 03 2017 tv <tv> 0.4-15.mga7
+ Revision: 1134515
- rebuild for new python

* Sat Feb 20 2016 umeabot <umeabot> 0.4-14.mga6
+ Revision: 971530
- Mageia 6 Mass Rebuild

* Fri Oct 16 2015 philippem <philippem> 0.4-13.mga6
+ Revision: 892032
- disable tests on BS

* Mon Oct 12 2015 philippem <philippem> 0.4-12.mga6
+ Revision: 889883
- Fixes setup/egg information to generate proper pythonegg()() Requires, mga#16943

* Sat Oct 10 2015 ovitters <ovitters> 0.4-11.mga6
+ Revision: 888701
- rebuild for python 3.5

* Sat Oct 03 2015 philippem <philippem> 0.4-10.mga6
+ Revision: 885958
- add python3 module

* Wed Sep 16 2015 philippem <philippem> 0.4-9.mga6
+ Revision: 880001
- fix build use new macros

* Wed Oct 15 2014 umeabot <umeabot> 0.4-8.mga5
+ Revision: 749422
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.4-7.mga5
+ Revision: 728742
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.4-6.mga5
+ Revision: 688087
- Mageia 5 Mass Rebuild
+ pterjan <pterjan>
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.4-4.mga4
+ Revision: 543483
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.4-3.mga4
+ Revision: 498730
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Jan 13 2013 umeabot <umeabot> 0.4-2.mga3
+ Revision: 378986
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Mar 27 2011 kharec <kharec> 0.4-1.mga1
+ Revision: 78170
- imported package python-iniparse

